Bug 865994 - SELinux is preventing /usr/bin/python2.7 from 'getattr' accesses on the file /usr/bin/python2.7.
SELinux is preventing /usr/bin/python2.7 from 'getattr' accesses on the file ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:87537af75eab44b0aecc37d753d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 01:32 EDT by Cyber Trekker
Modified: 2013-08-01 20:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-13 01:33 EDT, Cyber Trekker
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-13 01:33 EDT, Cyber Trekker
no flags Details

  None (edit)
Description Cyber Trekker 2012-10-13 01:32:57 EDT
Additional info:
libreport version: 2.0.14
kernel:         3.6.1-1.fc17.x86_64

description:
:SELinux is preventing /usr/bin/python2.7 from 'getattr' accesses on the file /usr/bin/python2.7.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed getattr access on the python2.7 file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep hpfax /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:hplip_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:bin_t:s0
:Target Objects                /usr/bin/python2.7 [ file ]
:Source                        hpfax
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-7.2.fc17.x86_64
:Target RPM Packages           python-2.7.3-7.2.fc17.x86_64
:Policy RPM                    selinux-policy-3.10.0-153.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.1-1.fc17.x86_64 #1 SMP Wed Oct
:                              10 12:13:05 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-13 15:30:34 EST
:Last Seen                     2012-10-13 15:30:34 EST
:Local ID                      9caf6824-0fc5-4035-801d-0210fb86dc44
:
:Raw Audit Messages
:type=AVC msg=audit(1350102634.388:98): avc:  denied  { getattr } for  pid=7198 comm="hpfax" path="/usr/bin/python2.7" dev="dm-2" ino=1079735 scontext=system_u:system_r:hplip_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bin_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1350102634.388:98): arch=x86_64 syscall=lstat success=yes exit=0 a0=1109050 a1=7fff62e3ddd0 a2=7fff62e3ddd0 a3=20 items=0 ppid=7195 pid=7198 auid=4294967295 uid=0 gid=7 euid=0 suid=0 fsuid=0 egid=7 sgid=7 fsgid=7 tty=(none) ses=4294967295 comm=hpfax exe=/usr/bin/python2.7 subj=system_u:system_r:hplip_t:s0-s0:c0.c1023 key=(null)
:
:Hash: hpfax,hplip_t,bin_t,file,getattr
:
:audit2allow
:
:#============= hplip_t ==============
:allow hplip_t bin_t:file getattr;
:
:audit2allow -R
:
:#============= hplip_t ==============
:allow hplip_t bin_t:file getattr;
:
Comment 1 Cyber Trekker 2012-10-13 01:33:00 EDT
Created attachment 626431 [details]
File: type
Comment 2 Cyber Trekker 2012-10-13 01:33:02 EDT
Created attachment 626432 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-10-15 05:36:51 EDT
Dan,
I think we should move hplip_t to cupsd_t as you suggested. We get more and more AVC msgs related to hplip.
Comment 4 Miroslav Grepl 2012-10-15 05:49:31 EDT
I added a rule to F17.
Comment 5 Ondrej Majerech 2012-10-17 14:46:45 EDT
Turned on my HP LaserJet printer having just configured it and trying to get it working. The SELinux Denial notification popped up right after the printer powered up.

Package: (null)
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-04 00:08:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 08:48:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.